Racy Puppy 5.2.2 Final, 18 Nov. 2011
Here's an enhancement for installpkg.sh. This is intended warn users when they attempt to install pets that clobber system files.
Code: Select all
--- installpkg.sh.orig 2012-02-06 10:45:48.528775229 -0500
+++ installpkg.sh 2012-02-06 10:42:51.087762415 -0500
@@ -43,10 +43,32 @@
DLPKG_BASE="`basename $DLPKG`" #ex: scite-1.77-i686-2as.tgz
DLPKG_PATH="`dirname $DLPKG`" #ex: /root
+
+clobber_check(){
+ FILELIST="`cat /root/.packages/${DLPKG_NAME}.files`"
+ rm /tmp/petget-fileclobber
+ for FILE in $FILELIST ; do
+ FILE="/`echo $FILE|cut -d/ -f2-`"
+ [[ "$FILE" =~ "/root/.packages/.*" ]] && continue
+ [ -f "$FILE" ] && echo "$FILE" >> /tmp/petget-fileclobber
+ done
+ if [ -s /tmp/petget-fileclobber ] ; then
+ grep "/lib" /tmp/petget-fileclobber
+ [ $? = 0 ] && WARN="This may cause system problems if this is not an intentional upgrade.\n\n"
+ yad --title "Confirm File Clobber" --button=Proceed:0 --button=Cancel:1 --text "The following files will be overwritten by this package:\n\n<b>$(cat /tmp/petget-fileclobber |head -n 20) </b>\n\n<b><span foreground='red'>This package may already be installed.\nChoose Proceed only if this is an upgrade.\n\n${WARN}These files will be deleted if the package is uninstalled so if you proceed\nwith installation be aware that uninstallation of this package is not\nrecommended.</span></b>"
+ [ $? = 0 ] && return 0
+ rm -f "$FILELIST"
+ rm /tmp/petget-fileclobber
+ exit 1
+ fi
+ rm /tmp/petget-fileclobber
+ return 0
+}
+
# 6sep10 shinobar: installing files under /mnt is danger
install_path_check() {
FILELIST="/root/.packages/${DLPKG_NAME}.files"
- [ -s "$FILELIST" ] || retuen 0
+ [ -s "$FILELIST" ] || return 0
grep -q '^/mnt' "$FILELIST" || return 0
MNTDIRS=$(cat "$FILELIST" | grep '^/mnt/.*/$' | cut -d'/' -f1-3 | tail -n 1)
LANG=$LANG_USER
@@ -128,12 +150,14 @@
pPATTERN="s%^\\./${DLPKG_NAME}%%"
echo "$PETFILES" | sed -e "$pPATTERN" > /root/.packages/${DLPKG_NAME}.files
install_path_check
+ clobber_check
tar -z -x --strip=2 --directory=${DIRECTSAVEPATH}/ -f ${DLPKG_MAIN}.tar.gz
else
#new2dir and tgz2pet creates them this way...
pPATTERN="s%^${DLPKG_NAME}%%"
echo "$PETFILES" | sed -e "$pPATTERN" > /root/.packages/${DLPKG_NAME}.files
install_path_check
+ clobber_check
tar -z -x --strip=1 --directory=${DIRECTSAVEPATH}/ -f ${DLPKG_MAIN}.tar.gz
fi
;;
@@ -143,6 +167,7 @@
[ $? -ne 0 ] && exit 1
echo "$PFILES" > /root/.packages/${DLPKG_NAME}.files
install_path_check
+ clobber_check
dpkg-deb -x $DLPKG_BASE ${DIRECTSAVEPATH}/
if [ $? -ne 0 ];then
rm -f /root/.packages/${DLPKG_NAME}.files
@@ -158,6 +183,7 @@
[ $? -ne 0 ] && exit 1
echo "$PFILES" > /root/.packages/${DLPKG_NAME}.files
install_path_check
+ clobber_check
tar -z -x --directory=${DIRECTSAVEPATH}/ -f $DLPKG_BASE
;;
*.txz) #100616
@@ -169,6 +195,7 @@
[ $? -ne 0 ] && exit 1
echo "$PFILES" > /root/.packages/${DLPKG_NAME}.files
install_path_check
+ clobber_check
tar -J -x --directory=${DIRECTSAVEPATH}/ -f $DLPKG_BASE
;;
*.tar.gz)
@@ -179,6 +206,7 @@
[ $? -ne 0 ] && exit 1
echo "$PFILES" > /root/.packages/${DLPKG_NAME}.files
install_path_check
+ clobber_check
tar -z -x --directory=${DIRECTSAVEPATH}/ -f $DLPKG_BASE
;;
*.tar.bz2) #100110
@@ -189,6 +217,7 @@
[ $? -ne 0 ] && exit 1
echo "$PFILES" > /root/.packages/${DLPKG_NAME}.files
install_path_check
+ clobber_check
tar -j -x --directory=${DIRECTSAVEPATH}/ -f $DLPKG_BASE
;;
*.rpm) #110523
@@ -199,6 +228,7 @@
[ $? -ne 0 ] && exit 1
echo "$PFILES" > /root/.packages/${DLPKG_NAME}.files
install_path_check
+ clobber_check
#110705 rpm -i does not work for mageia pkgs...
#busybox rpm -i $DLPKG_BASE
exploderpm -i $DLPKG_BASE
bash-3.2# tar-orig --version
tar (GNU tar) 1.19
from Puppy 4.3
does not make backups on files inside the tar archive that do not have a dot extension like most executable files in linux have while extracting .
bash-3.2# tar-racy --version
tar (GNU tar) 1.26
from Racy 5.2.2
seems to be OK on this AND works in puppy 4.3 though lesser glibc .
a diff would look like >
NOTE 1> the second diff is shorthand for all the several tar extraction commands in installpkg.sh
*
NOTE 2>
While i was working on the above diffs i used a xcalib_0.8.pet by GustavoVz which gave me an error at
in /usr/local/petget/petget
could make it work with
tar (GNU tar) 1.19
from Puppy 4.3
does not make backups on files inside the tar archive that do not have a dot extension like most executable files in linux have while extracting .
bash-3.2# tar-racy --version
tar (GNU tar) 1.26
from Racy 5.2.2
seems to be OK on this AND works in puppy 4.3 though lesser glibc .
a diff would look like >
Code: Select all
--- /mnt/sda9/usr/local/petget/removepreview.sh 2011-12-24 16:13:36.689981247 -0100
+++ /usr/local/petget/removepreview.sh 2012-02-06 20:39:26.000000000 -0100
[ "$EXIT" != "OK" ] && exit
fi
+SUF="${DB_pkgname}~"
+
if [ -f /root/.packages/${DB_pkgname}.files ];then
cat /root/.packages/${DB_pkgname}.files |
while read ONESPEC
@@ -61,8 +61,14 @@ if [ -f /root/.packages/${DB_pkgname}.fi
#that hides the original file. what we want is to remove the installed file, and
#restore the original pristine file...
cp -a --remove-destination "/initrd/pup_ro2$ONESPEC" "$ONESPEC"
+ if [ -e "${ONESPEC}.$SUF" ];then
+ mv "${ONESPEC}.$SUF" "$ONESPEC"
+ fi
else
rm -f "$ONESPEC"
+ if [ -e "${ONESPEC}.$SUF" ];then
+ mv "${ONESPEC}.$SUF" "$ONESPEC"
+ fi
fi
fi
done
Code: Select all
--- /mnt/sda9/usr/local/petget/installpkg.sh 2011-12-24 16:13:36.683314581 -0100
+++ /usr/local/petget/installpkg.sh 2012-02-06 21:02:15.000000000 -0100
- tar -z -x --strip=2 --directory=${DIRECTSAVEPATH}/ -f ${DLPKG_MAIN}.tar.gz
+ tar -z -x --backup=simple --suffix=".${DLPKG_MAIN}~" --strip=2 --directory=${DIRECTSAVEPATH}/ -f ${DLPKG_MAIN}.tar.gz
*
NOTE 2>
While i was working on the above diffs i used a xcalib_0.8.pet by GustavoVz which gave me an error at
Code: Select all
DB_version="`echo -n "$PKGNAME" | grep -o '\\-[0-9].*' | sed -e 's%^\-%%'`"
could make it work with
Code: Select all
DB_version="`echo -n "$PKGNAME" | grep -o '[_-][0-9].*' | sed -e 's%^\-%%'`" ##+2012-02-06 changed \\- to [-_]
With lib files you just get an extra warning. This message comes up if any files get clobbered.Karl Godt wrote:jemimah , interesting feature
BUT
WHY only for lib files ?
tar has got the
--backup[=CONTROL]
--suffix=STRING [ DLPKGNAME]
options , would be interesting to add it to petget
in that case ppm while uninstalling would be able to restore things .
The backup idea is good, but we'd need to figure out a storage location and fix any remastering scripts to not copy in the backups.
-
- Posts: 205
- Joined: Wed 07 Jul 2010, 01:07
- Location: Sittard, Limburg, The Netherlands
Guvcview from package manager cannot work, because of missing dependencies. This has been handled in the forum and I followed the there given direct links to get both guvcview_wary-1.5.0.pet and guvcview_wary_DEP-1.5.0.pet, together working fine now.
===
Puzzle: instead of the dead Libreoffice_sfs offered in "install/package manager" I found an old openoffice-3.2.0.9450.pet made by Coolpup which works fine .... in my harddisk installation. I am now installing another racy 5.2.2 to USB stick for an old (yes, older than me .... he's 80) internet friend; everything working fine except the very openoffice, no matter the number of re-installs, purgings or reboots.
===
Very old bug in all Pidgins: browser default setting "desktop default" does not open a browser for me, I have to scroll and select the exact browser.
===
More recent bug in all Pidgins: MSN (saved) password must be repeated to start a tedious dialogue finally opening hotmail inbox. Obviously this is due to MSN's doing.
Hotmail inbox opens without question when using browser only, after once the password has been saved in browser.
===
Like in all distros I had on board, keyboard setting (var) USA-alt-int often gets lost, must be re-selected. Sometimes even the source window gets lost, being replaced by a lot of text ..... then have to use CD startup, F2, purge; nauseating. This seems to be a common Linux bug, I experienced the same in more than 10 distros, not puppy only. I happen to need this setting, with the many quick diacritics/accents for some languages, without the need to use extra keys.
===
Puzzle: instead of the dead Libreoffice_sfs offered in "install/package manager" I found an old openoffice-3.2.0.9450.pet made by Coolpup which works fine .... in my harddisk installation. I am now installing another racy 5.2.2 to USB stick for an old (yes, older than me .... he's 80) internet friend; everything working fine except the very openoffice, no matter the number of re-installs, purgings or reboots.

===
Very old bug in all Pidgins: browser default setting "desktop default" does not open a browser for me, I have to scroll and select the exact browser.
===
More recent bug in all Pidgins: MSN (saved) password must be repeated to start a tedious dialogue finally opening hotmail inbox. Obviously this is due to MSN's doing.
Hotmail inbox opens without question when using browser only, after once the password has been saved in browser.
===
Like in all distros I had on board, keyboard setting (var) USA-alt-int often gets lost, must be re-selected. Sometimes even the source window gets lost, being replaced by a lot of text ..... then have to use CD startup, F2, purge; nauseating. This seems to be a common Linux bug, I experienced the same in more than 10 distros, not puppy only. I happen to need this setting, with the many quick diacritics/accents for some languages, without the need to use extra keys.
-
- Posts: 205
- Joined: Wed 07 Jul 2010, 01:07
- Location: Sittard, Limburg, The Netherlands
Quoting myself:
/initrd/mnt/dev-save or
/mnt/home.
Of course this cannot be real but I lack technical insight.
Formatted an extra partition for that software-folder and totally re-installed clean racy 522 in boot partition. For the moment, seems stable and also old openoffice-3.2.0.9450.pet (made by Coolpup) working.
It seems I solved it and this may at least to me be quite instructive: 2 more apps got into danger and suddenly it struck me, that the icon of the USB-stick at single-click mounting .... and were I had placed a folder "extra software" .... called itself intermittently.... Puzzle: instead of the dead Libreoffice_sfs offered in "install/package manager" I found an old openoffice-3.2.0.9450.pet made by Coolpup which works fine .... in my harddisk installation. I am now installing another racy 5.2.2 to USB stick for an old (yes, older than me .... he's 80) internet friend; everything working fine except the very openoffice, no matter the number of re-installs, purgings or reboots.
....
/initrd/mnt/dev-save or
/mnt/home.
Of course this cannot be real but I lack technical insight.
Formatted an extra partition for that software-folder and totally re-installed clean racy 522 in boot partition. For the moment, seems stable and also old openoffice-3.2.0.9450.pet (made by Coolpup) working.
I really start to like the patch and have come up with something like this :jemimah wrote:
With lib files you just get an extra warning. This message comes up if any files get clobbered.
The backup idea is good, but we'd need to figure out a storage location and fix any remastering scripts to not copy in the backups.
Code: Select all
# diff -up /initrd/pup_ro2/usr/local/petget/petget /usr/local/petget/petget
--- /initrd/pup_ro2/usr/local/petget/petget 2009-08-19 14:19:56.000000000 +0100
+++ /usr/local/petget/petget 2012-02-07 21:14:22.076250487 +0100
@@ -192,10 +192,14 @@ rm -f $PKGPATH/${PKGNAME}.tar.gz 2>/dev/
#announce result...
if [ $RETVAL -ne 0 -o ! -s /tmp/petget-installed-pkgs-log ];then
+case $RETVAL in
+151)ERRMSG="<text use-markup="true"><label>"<b>Stopped installintion of ${FULLPKGNAME} </b>"</label></text>";;
+1|*|"")ERRMSG="<text use-markup="true"><label>"<b>Error, package ${FULLPKGNAME} failed to install.</b>"</label></text>";;
+esac
export FAIL_DIALOG="<window title="Puppy Package Manager" icon-name="gtk-about">
<vbox>
<pixmap><input file>/usr/local/lib/X11/pixmaps/error.xpm</input></pixmap>
- <text use-markup="true"><label>"<b>Error, package ${FULLPKGNAME} failed to install.</b>"</label></text>
+ $ERRMSG
<hbox>
<button ok></button>
</hbox>
@@ -229,6 +233,25 @@ export INSTALL_DIALOG="<window title="P
"
gtkdialog3 --program=INSTALL_DIALOG
+echo ".${PKGNAME}~"
+DIRES=`ls -1 / |grep -vE 'initrd|mnt|proc|sys|tmp'`
+for dire in $DIRES;do
+find /$dire \( -type f -o -type l \) -name "*.${PKGNAME}~"
+backfiles=`find /$dire \( -type f -o -type l \) -name "*.${PKGNAME}~"`
+backupfiles="$backupfiles
+$backfiles"
+done
+backupfiles=`echo "$backupfiles" |sed '/^$/d'`
+if [ "$backupfiles" ];then
+xmessage -buttons "KEEP :140, REMOVE:141" "These backupfiles were made:
+$backupfiles"
+if [ "$?" = '141' ];then
+for file in $backupfiles;do
+rm -f $file
+done
+fi
+fi
+
RESTARTMSG="Please wait, updating help page and menu..."
[ "`pidof jwm`" != "" ] && RESTARTMSG="Please wait, updating help page and menu (the screen will flicker!)..." #w482
[ "$INSTALLEDCAT" = "none" ] && RESTARTMSG="Please wait, updating help page..."
Code: Select all
# diff -up /initrd/pup_ro2/usr/local/petget/installpkg.sh /usr/local/petget/installpkg.sh
--- /initrd/pup_ro2/usr/local/petget/installpkg.sh 2009-09-09 12:40:44.000000000 +0100
+++ /usr/local/petget/installpkg.sh 2012-02-07 20:53:36.260760778 +0100
@@ -45,8 +45,35 @@ if [ $PUPMODE -eq 3 -o $PUPMODE -eq 7 -o
fi
fi
-cd $DLPKG_PATH
+clobber_check(){
+ FILELIST="`cat /root/.packages/${DLPKG_NAME}.files`"
+ rm /tmp/petget-fileclobber
+ for FILE in $FILELIST ; do
+ FILE="/`echo $FILE|cut -d/ -f2-`"
+ [[ "$FILE" =~ "/root/.packages/.*" ]] && continue
+ [ -f "$FILE" ] && echo "$FILE" >> /tmp/petget-fileclobber
+ done
+ if [ -s /tmp/petget-fileclobber ] ; then
+ grep -E '/lib|^/bin|/sbin|/etc|/var' /tmp/petget-fileclobber
+ [ $? = 0 ] && WARN="This may cause system problems if this is not an intentional upgrade.\n\n"
+ #yad --title "Confirm File Clobber" --button=Proceed:0 --button=Cancel:1 --text "The following files will be overwritten by this package:\n\n<b>$(cat /tmp/petget-fileclobber |head -n 20) </b>\n\n<b><span foreground='red'>This package may already be installed.\nChoose Proceed only if this is an upgrade.\n\n${WARN}These files will be deleted if the package is uninstalled so if you proceed\nwith installation be aware that uninstallation of this package is not\nrecommended.</span></b>"
+ xmessage -buttons "Proceed:140,Cancel:141" "The following files will be overwritten by this package:
+`cat /tmp/petget-fileclobber`
+Note : The file list is in /tmp/petget-fileclobber .
+$IMSG
+$WARN"
+ [ $? = 140 ] && return 0
+ rm -f "$FILELIST"
+ #rm /tmp/petget-fileclobber
+ exit 151
+ fi
+ #rm /tmp/petget-fileclobber
+ return 0
+}
+cd $DLPKG_PATH
+IMSG=''
+[ -s /root/.packages/${DLPKG_NAME}.files ] && IMSG='NOTE:This package may already be installed.'
case $DLPKG_BASE in
*.pet)
DLPKG_MAIN="`basename $DLPKG_BASE .pet`"
The remasterpup2 line is something like this :
Code: Select all
mksquashfs / $WKGMNTPT/puppylivecdbuild/${DISTRO_FILE_PREFIX}-${DISTRO_VERSION}.sfs -e /etc /proc /initrd /var /tmp /archive /mnt /root /puppylivecdbuild $DIRHOME $DIRSYS $DIRLOST /${DISTRO_FILE_PREFIX}-${DISTRO_VERSION}.sfs ${INITRDMODS}
-ef <exclude_file> list of exclude dirs/files. One per line
-wildcards Allow extended shell wildcards (globbing) to be used in exclude dirs/files
it could look like
Code: Select all
mksquashfs / $WKGMNTPT/puppylivecdbuild/${DISTRO_FILE_PREFIX}-${DISTRO_VERSION}.sfs -wildcards -e "*.*~" "*.wh.*" -e /etc /proc /initrd /var /tmp /archive /mnt /root /puppylivecdbuild $DIRHOME $DIRSYS $DIRLOST
The storage problem could be already be cared by the dialog to ask to keep or to remove in the above petget diff , but a backup layer /initrd/pup_back might be a good solution too with a second mounted save file underneath the /initrd/pup_ro1(pupmode13)||/initrd/pup_rw(pupmode12)
I still use aufs: http://murga-linux.com/puppy/viewtopic. ... 813#602813The remaster part i haven't tested yet , added exclution of aufs whiteout files if it hasn't already been done in newer remaster scripts . Racy uses unionfs but some derivates might still come with aufs .
-
- Posts: 205
- Joined: Wed 07 Jul 2010, 01:07
- Location: Sittard, Limburg, The Netherlands
An old Office pet I already mentioned, works in my racy 522 on Harddisk ..... but keeps crashing in 2 rather new and cleanly installed USB sticks.
Apart from the seeming HD/usbStick difference, does somebody happen to know a newer Office that works in racy? I need Presentation for pps/ppt files. The sfs offered in package manager I cannot get to work.
Apart from the seeming HD/usbStick difference, does somebody happen to know a newer Office that works in racy? I need Presentation for pps/ppt files. The sfs offered in package manager I cannot get to work.
Being GTK applications, geany and sakura may not always honor your keyboard settings. GTK likes to add its own layers of complication to things.Karl Godt wrote:setxkbmap worked setting it for geany once but not typing into sakura terminal emulator .
Then i changed a lot and next time it worked perfectly .
Most of the times it worked ok as i can remember .
For instance, using the default Racy 5.2.2 locale, en_US, and setting the intl variant of the us keyboard layout, hitting the key left of Enter (the apostrophe key on the us layout) followed by hitting c generates "ccedilla" (ç). If you test this with xev, it will correctly report:
Code: Select all
XmbLookupString gives 1 bytes: (e7) "ç"
But in geany 0.19.1, the character entered is "cacute" (ć), and in sakura 2.3.8, the character entered is "c" (c).
When GTK first introduced this "feature", there was quite a bit of traffic on various forums from people in Brazil who were using US keyboards. Suddenly they had to learn where ç had moved to, and then retrain their fingers to break a lifetime habit of hitting ' and c to get ç. Not only that, but their fingers had to remember which applications used the new placement, and which applications still honored the keyboard settings they had defined.
Alternatively, they had to use a work-around, like setting a GTK input method.
Two input methods that work for this particular case can be set like this (using geany as an example):
Code: Select all
GTK_IM_MODULE=cedilla geany
Code: Select all
GTK_IM_MODULE=xim geany
These commands will work for sakura as well, or you can use the sakura menu item Options -> Input methods.
I am of the opinion that if a user sets up a her keyboard settings a certain way, an application should honor those settings unless she specifies the --gtk-go-ahead-GTK-please-scramble-my-keyboard option.

-
- Posts: 205
- Joined: Wed 07 Jul 2010, 01:07
- Location: Sittard, Limburg, The Netherlands
For seamonkey in Racy 5.2.2, quit completely from seamonkey (all seamonkey windows should close), and try this command:willem1940NLD wrote:. . .work in geany only, not here in my posting?
Code: Select all
GTK_IM_MODULE=xim seamonkey
ç
Ç
Sakura Terminal Emulatorwillem1940NLD wrote:(sakura: not found)
-
- Posts: 205
- Joined: Wed 07 Jul 2010, 01:07
- Location: Sittard, Limburg, The Netherlands
@npierce:
I tested the "cedilla" command on firefox and office (525 pup this moment).
Thx, I see now; but the command does not stick, just lasts for the session that opens in reaction.
Anyhow, interesting to see that apps obey for the moment, openoffice as well (libreoffice in 5.2.5 puppy) but useless for durable repairs.
I tested the "cedilla" command on firefox and office (525 pup this moment).
Thx, I see now; but the command does not stick, just lasts for the session that opens in reaction.
Anyhow, interesting to see that apps obey for the moment, openoffice as well (libreoffice in 5.2.5 puppy) but useless for durable repairs.
Willem,
If you want to set the "cedilla" input method permanently on your Puppy for one or more GTK applications, there are various ways to do it.
But we may be straying too far off-topic for this Racy bugs thread. Perhaps it would be best for you to start a new thread in the Users forum, and we can continue this conversation there.
N.
If you want to set the "cedilla" input method permanently on your Puppy for one or more GTK applications, there are various ways to do it.
But we may be straying too far off-topic for this Racy bugs thread. Perhaps it would be best for you to start a new thread in the Users forum, and we can continue this conversation there.
N.
Superduper , npierce ..npierce wrote:Being GTK applications, geany and sakura may not always honor your keyboard settings. GTK likes to add its own layers of complication to things.Karl Godt wrote:setxkbmap worked setting it for geany once but not typing into sakura terminal emulator .
Then i changed a lot and next time it worked perfectly .
Most of the times it worked ok as i can remember .
.
I am of the opinion that if a user sets up a her keyboard settings a certain way, an application should honor those settings unless she specifies the --gtk-go-ahead-GTK-please-scramble-my-keyboard option.
May i ask you what is your profession ?
I actually use your diff for
Subject: filemnt won't mount two files with same base name.
http://murga-linux.com/puppy/viewtopic.php?p=430987#430987
Since /usr/sbin/filemnt in Racy has the feature to mount encrypted save files by GUI would like to have this feature in Racy too .

Various fixes for filemnt
Hi Karl,Karl Godt wrote:I actually use your diff for
Subject: filemnt won't mount two files with same base name.
http://murga-linux.com/puppy/viewtopic. ... 987#430987
Since /usr/sbin/filemnt in Racy has the feature to mount encrypted save files by GUI would like to have this feature in Racy too . Cool
Thanks for the reminder. As it happens, I was working on a Racy version of this about three weeks ago, but didn't have time then to finish testing it. Then I got distracted by other things and didn't get back to it -- well, not until now. Here it is.
==========================================================
The attached filemnt has five changes:
1. Corrects false positives in test that checks to see if file is already mounted.
Because having a single file mounted at two mount points is a confusing and possibly dangerous thing, filemnt tests to see if it is already mounted. This has been true for years. But the existing code has a quirk.
If you happen to have two different files with the same base name, attempting to mount the second file will give you something similar to the following xmessage which is quite puzzling because it simply isn't true.
With this new version, you may mount two or more files that happen to have the same name, as long as they are not actually the same file.Sorry /mnt/sr0/puppy_racy_5.2.2.sfs is already mounted and in-use by Puppy
For instance, if you are comparing two versions of an .sfs file, you may mount both the old and new versions (at different mount points, obviously) without the need to temporarily rename one of them.
2. Corrects false negatives in test that checks to see if file is already mounted.
With the current filemnt, if the filename itself (not a directory name) is a symlink, then filemnt will allow the file to be mounted twice. This new version corrects this.
3. Expands the error message that appears when a user does attempt to mount a single file twice.
Now it gives not just the pathname of the file you tried to mount, but also the mount point of the mounted file and the pathname that was used when it was mounted. This helps the user to find the already mounted file.
4. Prevents creation of directory in /mnt/ when given an invalid pathname.
Since most people access filemnt by clicking on icons in ROX-Filer, this would rarely happen. But if you run the existing filemnt from the command line, and pass it a bad filename, it will go ahead and create a directory for it in /mnt/ even though it has no file to mount. This new version prevents this.
5. Corrected code that determines absolute pathname of a file in the current directory.
filemnt creates a unique name for the mount point which is based on the pathname of the file. If the user mounts a file that is in the current directory, and doesn't give the absolute pathname, filemnt determines the absolute pathname so that it can create a unique name.
But due to a minor bug, this was not working. Instead the mount point was based only on the name of the file. So if you had a file named "test.sfs" in two directories, went to the first directory, mounted its test.sfs with the command filemnt test.sfs, then changed to the other directory and mounted its test.sfs with the same command, filemnt would be confused. Because it thinks the absolute pathname is the same for both files, it assumes that the file is already mounted, so the second file would not be mounted, and the first file would be unmounted.
Again, this would rarely be a problem, since most people use filemnt through ROX-Filer, which supplies absolute file names.
==========================================================
Karl, I'm glad that you found my old version useful. I hope this Racy version works as well for you. My profession? Just an old hardware guy trying to make it in a software world.

- Attachments
-
- filemnt.gz
- Modified filemnt, based on Racy-5.2.2 filemnt
- (2.57 KiB) Downloaded 767 times
-
- filemnt.diff.gz
- diff -u for Racy-5.2.2 filemnt and above filemnt
- (983 Bytes) Downloaded 754 times
new version of Right click package
I've made a new version of Right click package
with newest bacon recorder and ffconvert
http://www.murga-linux.com/puppy/viewto ... 817#603817
________________________________________
with newest bacon recorder and ffconvert
http://www.murga-linux.com/puppy/viewto ... 817#603817
________________________________________
-
- Posts: 130
- Joined: Fri 23 Dec 2011, 09:21
- Location: The Little Red Dot
I attempted to install the latest ati catalyst driver, namely amd-driver-installer-12-1-x86.x86_64.run for my Radeon HD5450 graphics card, with the devx_racy_5.2.2.sfs and the kernel_src-3.0.7-patched.sfs (both checked for md5sum integrity) loaded in bootmanager config bootup. Installation completed successfully, then run aticonfig --initial, and reboot.
But it failed to boot straight into puppy, so had to run xorgwizard, "choose" fglrx, selected the resolution, yet it fell back to using the radeon driver instead. Also the AMD Catalyst Control Center wasn't found,no menu item created. Report-video showed radeon not fglrx driver used.
I've also removed the Xorg-High-GLX driver that was installed from quickpet>drivers and reverted to vesa before running the AMD-driver-installer again, but to no avail. Have repeated the process a number of times, the same result each time.
Wonder what went wrong; am quite familiar with installing ATI or NVidia drivers for my various puppies. Hope someone can point it out to me.
Added: Just discovered there is a nouveau driver offered in the xorgwizard list, I suspect this could be causing the conflict,problem is how to remove it.
But it failed to boot straight into puppy, so had to run xorgwizard, "choose" fglrx, selected the resolution, yet it fell back to using the radeon driver instead. Also the AMD Catalyst Control Center wasn't found,no menu item created. Report-video showed radeon not fglrx driver used.
I've also removed the Xorg-High-GLX driver that was installed from quickpet>drivers and reverted to vesa before running the AMD-driver-installer again, but to no avail. Have repeated the process a number of times, the same result each time.
Wonder what went wrong; am quite familiar with installing ATI or NVidia drivers for my various puppies. Hope someone can point it out to me.
Added: Just discovered there is a nouveau driver offered in the xorgwizard list, I suspect this could be causing the conflict,problem is how to remove it.
Last edited by PenguinPupLin on Wed 15 Feb 2012, 16:30, edited 1 time in total.